## ring 20230206.0~ds1

=== debian/changelog ===
ring (20230206.0~ds1-5) unstable; urgency=medium

  * debian/control: Add missing runtime dependencies of jami to its
    Depends (Closes: #1031170).
  * Acknowledge NMUs.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Wed, 15 Feb 2023 01:56:22 -0500

ring (20230206.0~ds1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing autopkgtest dependencies.

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Feb 2023 20:28:03 +0200

ring (20230206.0~ds1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run autopkgtest commands under xvfb-run.

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Feb 2023 13:20:49 +0200

ring (20230206.0~ds1-4) unstable; urgency=medium

  * debian/rules: Prepend '@' to the value given to 'touch --date',
    so that the argument is correctly treated as the number of seconds
    since the epoch.
  * Link atomic library on armel and mipsel to fix FTBFS there.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sat, 11 Feb 2023 01:15:05 -0500

ring (20230206.0~ds1-3) unstable; urgency=medium

  * debian/control: Add missing dependency on qt6-positioning-dev.
  * debian/rules: Add stopgap workaround to disable building with the
    Qt WebEngine on architectures it's missing from.  Also add a
    potential workaround for this dak error for the uploads:
    jami_20230206.0~ds1-2_amd64.deb: has 5 file(s) with a timestamp
    too far in the past: ... (Closes: #1030855)

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Fri, 10 Feb 2023 16:52:37 -0500

ring (20230206.0~ds1-2) unstable; urgency=medium

  * Build jami with Qt WebEngine only on supported architectures
    [amd64 arm64 armhf i386].
  * Switch patches to the 0000/1000/2000 naming convention.
    See debian/patches/README for more details.
  * debian/patches/2020-dont-build-msgpack.patch: Add patch to mark
    msgpack as found.  See the patch for more details.
  * debian/control: Bump the opendht dependency up to 2.4.12-5.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Wed, 08 Feb 2023 00:37:26 -0500

ring (20230206.0~ds1-1) unstable; urgency=medium

  [ Amin Bandali ]
  * New upstream version 20230206.0.
    (Closes: #984321, #1014998, #1008728, #1017005, #1018129)
    The following CVEs were fixed by the main pjproject upstream of
    jami, and included in jami's vendored version of pjproject:
    CVE-2021-32686 CVE-2021-37706 CVE-2022-21723 CVE-2022-23608
    CVE-2021-43299 CVE-2021-43300 CVE-2021-43301 CVE-2021-43302
    CVE-2021-43303 CVE-2021-43804 CVE-2021-43845 CVE-2022-21722
    CVE-2022-24754 CVE-2022-24763 CVE-2022-24764 CVE-2022-24793.
    The following CVEs were patched in jami's pjproject downstream of
    the main pjproject upstream:
    CVE-2022-23537 CVE-2022-23547 CVE-2022-31031 CVE-2022-39244
    CVE-2022-39269.
  * The 'jami' package now offers the Jami Qt client, as it has been
    the main and only actively developed Jami client on GNU/Linux.
    The C++ sources for the Qt client are in src/app/, libjamiclient
    (formerly libringclient or LRC) sources are in src/libclient/,
    and Jami daemon/library sources are under daemon/.
  * debian/control: Change libargon2-0-dev to libargon2-dev in
    Builds-Depends (Closes: #1005702).  Change libmsgpack-dev to
    libmsgpack-cxx-dev (Closes: #1019112).  Add new build dependency
    qml6-module-qtquick3d-spatialaudio to Build-Depends.  Also, drop
    remnants of old 'ring' transitional packages in 'Replaces' and
    'Breaks'.  Lastly, require opendht >= 2.4.12-4, because the recent
    versions with the static library are currently unusable by Jami
    due to an unforeseen side-effect of one of the dropped patches.
    This is remedied and no longer relevant with opendht >= 2.4.12-4
    which ships a shared library instead.
  * debian/copyright: Update Files-Excluded to correspond to what is
    currently included in upstream release tarballs, and sort them
    alphabetically.  Further, update all Files fields to reflect the
    directory structure change, namely Jami Qt client now being the
    top-level of the repository.
  * debian/rules: Reflect and adapt to the change of upstream release
    tarballs' root directory name and structure.
  * debian/watch: Use 'dversionmangle=auto' instead of hard-coding
    the Debian version pattern (see uscan(1)) and update the release
    tarball filename prefix from 'jami_' to 'jami-'.
  [ Petter Reinholdtsen ]
  * Switched to consistent debhelper 12 dependency.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Tue, 07 Feb 2023 02:31:49 -0500

ring (20210112.2.b757bac~ds1-2) unstable; urgency=medium

  [ Amin Bandali ]
  * d/control: Add myself to Uploaders

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Thu, 22 Dec 2022 22:49:32 +0100
